<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcActorMove Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcActorMove.html">iPcActorMove</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a5d7be1bf62aa63f10813d7e6769c714b">AutoRun</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#aae783f72e3c14443c1eb807c6fe33a20">Backward</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a129242fd3814bc3627d3c8b02b4b294b">EnableMouseMove</a>(bool en)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a5b8c2911d27be512dadffc9473d59d61">Forward</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a7956ee441f68a94ff3093e7b73a506d8">GetJumpingVelocity</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a74c7daa806bbab0944a922d10fb18e91">GetMouseMoveSpeedX</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ab3c322fb294dbd88fac047544771ee5f">GetMouseMoveSpeedY</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ab1445ae733009104c532cdd402f0a7ec">GetMovementSpeed</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a4382852d5faaaaa65030e5987e4eecc4">GetRotationSpeed</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a361c506fe0344985bed6fc5cc0b39b33">GetRunningSpeed</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#abd1273417bfc408a119dbf69a913be6e">IsAutoRunning</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a463c5af854204a06aba1e13a39ccc1b9">IsMouseMoveAccelerated</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ae14b2de761e09df4d4c99959fc68236d">IsMouseMoveEnabled</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a59858f8cd2f672cec02b2f78a0dc50ec">IsMouseMoveInverted</a>() const =0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#af27e386c815b8bf74003e1bea8bddf99">IsMoving</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a6439a02504ab228f5d49d80064dc6e65">IsMovingBackward</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a27238f3cb0b6320cf73571344ed66ac0">IsMovingForward</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a161426ee01201ce435d6235c2e8072ae">IsRotatingLeft</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a8e3f4e22ad9e62ec6dbb2ab46e7ff90d">IsRotatingRight</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a3505e3780a15da437104e2b5a129bf74">IsRunning</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a45359a65b20ea31d0a08167e3fb12848">IsStrafingLeft</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a92f29c078469910371a0356bc1904f27">IsStrafingRight</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a8504a83867ecdfa2e5d5a889b5c72336">Jump</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#abe9b1114cf8359c04b70db8edd1efecc">MouseMove</a>(float x, float y)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ade7a1d650f59e99ee9763dc3782bfa5a">RotateLeft</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ab0857d4f499c8ce352dafb9cc0d00f27">RotateRight</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#aedc37f2d71ad0ce238686efd2cb3b054">RotateTo</a>(float yrot)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a5333252175d6df94b8e5063e01c45be5">Run</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a62b35b7a61fcb8ccbf8ccfc36aeb6b88">SetAnimation</a>(const char *name, bool cycle=true)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a193033d351968ac8b2dbe5179a02bb61">SetAnimationMapping</a>(celAnimationName idx, const char *name)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a0725397974cbf341b95ca25e327fb7e0">SetJumpingVelocity</a>(float speed)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a85b268e1a5eaae11c19967fa43772b7b">SetMouseMoveAccelerated</a>(bool en)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#ad185b63e2987d57cd9940630fcbc7942">SetMouseMoveInverted</a>(bool en)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#abccfbb1906794dac9e4eb86bd64b1bc0">SetMouseMoveSpeed</a>(float xs, float ys)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a85ac9ad076488c05cb96e218135bd1a1">SetMovementSpeed</a>(float speed)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a6ff5764554a1d8b750ac570e3f4ba372">SetRotationSpeed</a>(float speed)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a9d23567b60d1a30a3278e3d3dee0e5ce">SetRunningSpeed</a>(float speed)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#a962b937387ffc918bb7b8e7f7713f362">StrafeLeft</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#adef2e92e1646e30c24f132be8f05f6a0">StrafeRight</a>(bool start)=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcActorMove.html#aabc8b05a8f2355d1fc7cd97529e3a066">ToggleCameraMode</a>()=0</td><td><a class="el" href="structiPcActorMove.html">iPcActorMove</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
